Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ACE_Thread_Condition< MUTEX > Class Template Reference

ACE_Condition variable wrapper that works within processes. More...

`#include <Condition_T.h>`

Inheritance diagram for ACE_Thread_Condition< MUTEX >:

[legend]
Collaboration diagram for ACE_Thread_Condition< MUTEX >:

[legend]
List of all members.

## Public Member Functions
| ACE_Thread_Condition (MUTEX &m, const ACE_TCHAR *name=0, void *arg=0)
void | dump (void) const
| Dump the state of an object.

## Detailed Description

### template<class MUTEX>
class ACE_Thread_Condition< MUTEX >

ACE_Condition variable wrapper that works within processes.

A condition variable enables threads to atomically block and test the condition under the protection of a mutual exclu- sion lock (mutex) until the condition is satisfied. That is, the mutex must have been held by the thread before calling wait or signal on the condition. If the condition is false, a thread blocks on a condition variable and atomically releases the mutex that is waiting for the condition to change. If another thread changes the condition, it may wake up waiting threads by signaling the associated condition variable. The waiting threads, upon awakening, reacquire the mutex and re-evaluate the condition.

## Constructor & Destructor Documentation

template<class MUTEX>
ACE_Thread_Condition< MUTEX >::ACE_Thread_Condition | ( | MUTEX & | m,
|  | const ACE_TCHAR * | name = `0`,
|  | void * | arg = `0`
| ) |

## Member Function Documentation

template<class MUTEX>
void ACE_Thread_Condition< MUTEX >::dump | ( | void |  | ) | const

| Dump the state of an object. Reimplemented from ACE_Condition< MUTEX >.

The documentation for this class was generated from the following files:

- Condition_T.h
- Condition_T.cpp